mediengestalter.info
FAQ :: Mitgliederliste :: MGi Team

Willkommen auf dem Portal für Mediengestalter

Aktuelles Datum und Uhrzeit: Di 13.04.2021 03:23 Benutzername: Passwort: Auto-Login

Thema: Problem bei Installation Joomla eCommerce Variante vom 17.07.2008


Neues Thema eröffnen   Neue Antwort erstellen MGi Foren-Übersicht -> Allgemeines - Nonprint -> Problem bei Installation Joomla eCommerce Variante
Seite: 1, 2  Weiter
Autor Nachricht
easy-way-design
Threadersteller

Dabei seit: 19.07.2005
Ort: -
Alter: 48
Geschlecht: Männlich
Verfasst Do 17.07.2008 14:10
Titel

Problem bei Installation Joomla eCommerce Variante

Antworten mit Zitat Zum Seitenanfang

Hallöchen zusammen,

habe folgendes Problem:

Habe mir die aktuellste Version des Joomla 1.5 eCommcerce Variante heruntergeladen und nach dem Entpacken auf den Server gestellt.

Nun wollte ich das ganze installieren und komme gerade mal bis zur Abfrage der Datenbankdaten. Diese habe ich vorher bei 1und1 neu angelegt.

Also Daten soweit rein. Oben auf weiter und es erscheint folgende Meldung in einem ansonsten komplett weißen fenster:

Zitat:
You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near 'CURRENT_TIMESTAMP , PRIMARY KEY ( `user_id` ) ) TYPE = MYISAM C SQL=CREATE TABLE IF NOT EXISTS `jos_vm_cart` ( `user_id` INT( 11 ) NOT NULL , `cart_content` TEXT NOT NULL , `last_updated` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP , PRIMARY KEY ( `user_id` ) ) TYPE = MYISAM COMMENT = 'Stores the cart contents of a user'


Das versteh ich jetzt aber leider nicht so ganz.

Kann mir mal jemand auf die Spünge helfen ?

Danke und schöne Grüße

Marco

P.S.: alternativ hilft mir eventuell auch ne deutsche Anleitung für Virtuemart Installation weiter. Das hab ich nicht so ganz hingekriegt, daher der Versuch mit dem kompletten Package.


Zuletzt bearbeitet von easy-way-design am Do 17.07.2008 14:13, insgesamt 1-mal bearbeitet
  View user's profile Private Nachricht senden Website dieses Benutzers besuchen
FreShEviL

Dabei seit: 23.03.2005
Ort: -
Alter: 43
Geschlecht: Männlich
Verfasst Do 17.07.2008 20:37
Titel

Antworten mit Zitat Zum Seitenanfang

1. Welcher Hoster
2. PHP und MySQL Version

Aber so wie er das meldet hast du einen Fehler in der SQL Datei. ( übersetzt *zwinker*)
  View user's profile Private Nachricht senden
Anzeige
Anzeige
easy-way-design
Threadersteller

Dabei seit: 19.07.2005
Ort: -
Alter: 48
Geschlecht: Männlich
Verfasst Do 17.07.2008 22:17
Titel

Antworten mit Zitat Zum Seitenanfang

FreShEviL hat geschrieben:
1. Welcher Hoster
2. PHP und MySQL Version

Aber so wie er das meldet hast du einen Fehler in der SQL Datei. ( übersetzt *zwinker*)


1. 1und1
2. PHP 4 oder 5 ...gute Frage / MySQL 4.0

Mit dem Fehler hatte ich schon verstanden...aber woran liegt es ?
  View user's profile Private Nachricht senden Website dieses Benutzers besuchen
FreShEviL

Dabei seit: 23.03.2005
Ort: -
Alter: 43
Geschlecht: Männlich
Verfasst Fr 18.07.2008 01:07
Titel

Antworten mit Zitat Zum Seitenanfang

Ich weiß es jetzt nicht auswendig aber 1und1 Space ist immer ein wenig unterschiedlich. Bei einem funktionieren .htaccess Dateien bei anderen wiederum nicht. PHP 4 da läuft Joomla aber MySQL 5 und Virtuemart 1.1 mhhhh

Update auf MySQL 5 sollte ja leicht sein. Und dann führe noch mit nem Script gleich einen Verweiß auf PHP 5.

Sollte helfen, wenn nicht liegt das Problem bei der Installation von dem Ecomerce Pack
  View user's profile Private Nachricht senden
easy-way-design
Threadersteller

Dabei seit: 19.07.2005
Ort: -
Alter: 48
Geschlecht: Männlich
Verfasst Fr 18.07.2008 09:24
Titel

Antworten mit Zitat Zum Seitenanfang

FreShEviL hat geschrieben:
PHP 4 da läuft Joomla aber MySQL 5 und Virtuemart 1.1 mhhhh


nene hab ja mysql 4.0

aber werd nochmal ein bischen probieren.
  View user's profile Private Nachricht senden Website dieses Benutzers besuchen
FreShEviL

Dabei seit: 23.03.2005
Ort: -
Alter: 43
Geschlecht: Männlich
Verfasst Fr 18.07.2008 09:29
Titel

Antworten mit Zitat Zum Seitenanfang

moin,

darum sag ich ja umstellen auf MySQL 5.
  View user's profile Private Nachricht senden
bacon

Dabei seit: 24.10.2007
Ort: -
Alter: -
Geschlecht: -
Verfasst Fr 18.07.2008 09:55
Titel

Antworten mit Zitat Zum Seitenanfang

CURRENT_TIMESTAMP geht erst ab mySQL 4.1.2. Daher => 1&1 antellen, upgraden lassen oder Vertrag kündigen.

http://dev.mysql.com/doc/refman/4.1/en/create-table.html#id2816669

Die zugehörigen google-Suchbegriffe lauteten übrigends "mysql current_timestamp".

Ich empfehle:
1.) PHP & mysql-Fehlermeldungen verstehen lernen
2.) google nutzen lernen.


Zuletzt bearbeitet von bacon am Fr 18.07.2008 09:57, insgesamt 1-mal bearbeitet
  View user's profile Private Nachricht senden
easy-way-design
Threadersteller

Dabei seit: 19.07.2005
Ort: -
Alter: 48
Geschlecht: Männlich
Verfasst Fr 18.07.2008 10:51
Titel

Antworten mit Zitat Zum Seitenanfang

FreShEviL hat geschrieben:
moin,

darum sag ich ja umstellen auf MySQL 5.


achso hatte ich wohl falsch ausgelegt...
  View user's profile Private Nachricht senden Website dieses Benutzers besuchen
 
Ähnliche Themen Joomla Installation
Joomla! Problem ((Joomla) vor CSS-Pfad)
Problem bei Wordpress-Installation
[PHP-Installation] Problem
Problem bei der Installation von Dreamweaver
Adobe CreativeSuite 2 Problem bei Installation...
Neues Thema eröffnen   Neue Antwort erstellen Seite: 1, 2  Weiter
MGi Foren-Übersicht -> Allgemeines - Nonprint


Du kannst keine Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum nicht antworten.
Du kannst an Umfragen in diesem Forum nicht mitmachen.